/** @author EM via students.eliematta.com */
package Execution;

//Import des paquets
import pack.client.PorteurCarteNonClient;
import pack.client.ClientBanque;
import pack.banque.OperateurMaintenance;
import pack.banque.ATM;

public class MainClass {

	public static void main(String[] args) {
		System.out.println("Somme initiale = $3000");
		System.out.println("Somme a retier = $1000");

		// Retirer argent via porteur de carte non client
		PorteurCarteNonClient pnc = new PorteurCarteNonClient();
		int sommeFinale = pnc.RetirerArgentATM(1000);
		System.out.println("---------------------- La somme finale est = "
				+ sommeFinale + " ----------------------");

		// Retirer argent via porteur de carte et client de banque (guichet)
		ClientBanque cb = new ClientBanque();
		int somme = cb.ConsulterSolde();
		System.out.println("Vous avez $" + somme + " dans votre compte");

		// Deposer cheque
		cb.DeposerCheque(1000);
		int nouvelleSommeApresCheque = cb.ConsulterSolde();
		System.out.println("Vous avez $" + nouvelleSommeApresCheque
				+ " dans votre compte");

		// Deposer numeraire
		cb.DeposerCheque(2000);
		int nouvelleSommeApresNumeraire = cb.ConsulterSolde();
		System.out.println("Vous avez $" + nouvelleSommeApresNumeraire
				+ " dans votre compte");

		// Retier Argent
		int nouvelleSommeApresRetrait = cb.RetirerArgentGuichet(500);
		System.out.println("Vous avez $" + nouvelleSommeApresRetrait
				+ " dans votre compte");

		System.out
				.println("------------------------------------- Maintenance -------------------------------------");
		
		//Creation d'un objet instance de la classe ATM
		ATM instanceATM = new ATM();
		instanceATM.location = "Achrafieh";
		
		// Recharger caisse
		OperateurMaintenance om = new OperateurMaintenance();
		// Maintenance de l'ATM
		om.MaintenanceATM(instanceATM);



	}

}
